Skip to main content
GET
/
alpha
/
borrow
/
aave
/
position
/
{network}
/
{userAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/borrow/aave/position/{network}/{userAddress} \
  --header 'x-api-key: <api-key>'
{
  "userAddress": "<string>",
  "network": {
    "name": "mainnet",
    "chainId": 123,
    "networkCaip": "<string>"
  },
  "positions": [
    {
      "address": "<string>",
      "assetCaip": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "assetGroup": "<string>",
      "borrowedNative": "<string>",
      "borrowedUsd": "<string>",
      "suppliedNative": "<string>",
      "suppliedUsd": "<string>",
      "supplyApy": 123,
      "borrowApy": 123,
      "assetLogo": "<string>",
      "assetPriceInUsd": "<string>"
    }
  ],
  "totalSuppliedUsd": "<string>",
  "totalBorrowedUsd": "<string>",
  "availableBorrowsUsd": "<string>",
  "currentLiquidationThreshold": "<string>",
  "ltv": "<string>",
  "healthFactor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User address to be used for best vault calculation

Pattern: ^0x[a-fA-F0-9]{40}$
network
enum<string>
required

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793

Response

Default Response

userAddress
string
required
network
object
required
positions
object[]
required
totalSuppliedUsd
string
required
totalBorrowedUsd
string
required
availableBorrowsUsd
string
required
currentLiquidationThreshold
string
required
ltv
string
required
healthFactor
string